API ReferenceElevenLabs SDK
List Speech Engines
Lists the permanent Speech Engines available to the authenticated project.
GET
/el/v1/speech-engineLists the permanent Speech Engines available to the authenticated project.
xi-api-key<token>
Tenant key (ElevenLabs SDK convention).
In: header
Query Parameters
page_size?integer
Range
1 <= value <= 100search?string
sort_direction?string
Value in
- "asc"
- "desc"
sort_by?string
cursor?string
Response Body
application/json
application/json
application/json
const response = await fetch("https://api.allmodels.io/el/v1/speech-engine?page_size=20", { headers: { Authorization: `Bearer ${process.env.ALLMODELS_API_KEY}` }});if (!response.ok) throw new Error(`AllModels request failed: ${response.status}`);console.log(await response.json());import osimport requestsresponse = requests.get( "https://api.allmodels.io/el/v1/speech-engine?page_size=20", headers={"Authorization": f"Bearer {os.environ['ALLMODELS_API_KEY']}"}, timeout=30,)response.raise_for_status()print(response.json())curl https://api.allmodels.io/el/v1/speech-engine?page_size=20 \ -H "Authorization: Bearer $ALLMODELS_API_KEY"import { ElevenLabsClient } from "@elevenlabs/elevenlabs-js";const client = new ElevenLabsClient({ apiKey: process.env.ALLMODELS_API_KEY, baseUrl: "https://api.allmodels.io/el"});const page = await client.speechEngine.list({ pageSize: 20, sortDirection: "desc"});console.log(page.speechEngines);import osfrom elevenlabs.client import ElevenLabsclient = ElevenLabs( api_key=os.environ["ALLMODELS_API_KEY"], base_url="https://api.allmodels.io/el",)page = client.speech_engine.list( page_size=20, sort_direction="desc",)print(page.speech_engines){ "speech_engines": [ { "speech_engine_id": "string", "name": "string", "property1": null, "property2": null } ], "next_cursor": "string", "has_more": true}{ "error": "missing_api_key"}{ "detail": { "message": "string", "status": "string", "property1": null, "property2": null }}List voices (SDK search) GET
Lists voices with ElevenLabs `voices.search()`. Use `page_size` to limit the result. All matching voices are returned in one page.
Create Speech Engine POST
Creates a reusable Speech Engine configuration that connects client audio to STT, forwards transcripts to your application, and streams synthesized responses back to the client.
